glib-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for all of Gtk#. System.Object GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes of the raw object. Only override this if the Raw object should not be unreferenced when the object is garbage collected.
- Method
  System.Void Disposes the resources associated with the object.
- Property
  System.IntPtr The raw GObject reference associated with this object. an object of type Subclasses can use Raw property for read/write access.
- Property
  System.IntPtr The raw GObject reference associated with this wrapper. an object of type an object of type Only subclasses of Object can access this read/write property. For public read-only access, use the Handle property. This property should only be used from constructors to set a native object pointer instantiated by the constructor. The constructor should chain to base (IntPtr.Zero) on the base class to ensure that no other native objects are instantiated for the class.
- Property
  System.Collections.Hashtable Stores and Accesses arbitrary data on the Object. a
- Method
  GLib.Object `` `` Used to obtain a CLI typed object associated with a given raw object pointer. a a a This method is primarily used to wrap object references that are returned by either the signal system or raw class methods that return GObject references.
- Method
  System.Int32 Calculates a hashing value. an object of type
- Property
  GLib.GType To be added a To be added
- Method
  GLib.Object `` To be added a a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Constructor
  Creates a new instance, using the GLib-provided type.
  a
  a
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Property
  System.String To be added a To be added
- Property
  System.Collections.Hashtable To be added a To be added
- Property
  System.Collections.Hashtable To be added a To be added
- Property
  System.ComponentModel.EventHandlerList To be added a To be added
- Property
  System.ComponentModel.EventHandlerList To be added a To be added
- Property
  System.Int32 To be added a To be added
- Method
  GLib.GType `` To be added a a To be added
- Method
  GLib.GType `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  GLib.GType To be added a To be added
- Method
  System.Void `` `` Creates the GObject underlying a managed subclass an array of (GObject) property names the values for the properties identified by This is the method used by managed subclasses (as opposed to classes that are just wrappers around C-based objects) to create their underlying GObject. It will be invoked for you automatically by when you chain to your subclass's base class constructor.
- Method
  GLib.Value `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Constructor
  To be added
  a
  a
  To be added